import React, { PropTypes } from 'react';
import purebem from 'purebem';

import noop from '../noop';

import './FoundationPanelHeader.less';


const block = purebem.of('foundation-panel-header');

const FoundationPanelHeader = React.createClass({

    propTypes: {
        children: PropTypes.node,
        onInfoClick: PropTypes.func
    },

    getDefaultProps() {
        return {
            children: '',
            onInfoClick: noop
        };
    },

    render() {
        const { children, onInfoClick } = this.props;
        return (
            <div className={ block() }>
                <span className={ block('title') }>{ children }</span>
                <i
                    className={ block('icon') }
                    onClick={ onInfoClick } />
            </div>
        );
    }

});

export default FoundationPanelHeader;
